/* gwavefile.h: read wave data directly from a .WAV file
 * Copyright (c) 2000 David A. Bartold
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __G_WAVEFILE_H__
#define __G_WAVEFILE_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <glib.h>
#include <stdio.h>
#include "gtkwavebuffer.h"

typedef struct _GWavefile GWavefile;

struct _GWavefile
{
  FILE           *file;

  guint32         rate;
  guint32         n_channels;
  guint32         length;
  guint32         width;
  GtkWaveBufferType  datatype;
  guint32         data_offset;
};


GWavefile      *g_wavefile_open             (gchar     *file);
void            g_wavefile_close            (GWavefile *wave);
GtkWaveBufferType  g_wavefile_get_datatype  (GWavefile *wave);
guint32         g_wavefile_get_length       (GWavefile *wave);
guint32         g_wavefile_get_num_channels (GWavefile *wave);
guint32         g_wavefile_get_rate         (GWavefile *wave);
void            g_wavefile_read             (GWavefile *wave,
                                             guint32    offset,
                                             guint32    length,
                                             gpointer   buf);

#ifdef __cplusplus
}
#endif

#endif /* __G_WAVEFILE_H__ */
