/*
    Copyright (C) 1999 Paul Barton-Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: prompter.cc,v 1.2 2000/05/02 02:32:43 pbd Exp $
*/

#include <gtkmmext/prompter.h>

using namespace Gtkmmext;

Prompter::Prompter (bool modal)
	: Gtk::Window (GTK_WINDOW_DIALOG),
	  ok ("OK"),
	  cancel ("Cancel")
{
	set_position (GTK_WIN_POS_MOUSE);

	if (modal) {
		set_modal (true);
	}

	add (packer);

	entryLabel.set_line_wrap (true);
	entryBox.set_homogeneous (false);
	entryBox.set_spacing (25);
	entryBox.pack_start (entryLabel);
	entryBox.pack_start (entry, false, false);

	buttonBox.pack_start (ok, false, true);
	buttonBox.pack_start (cancel, false, true);
	
	packer.pack_start (entryBox);
	packer.pack_start (buttonBox);

	entry.activate.connect(SigC::slot(this,&Prompter::activated));
	ok.clicked.connect(SigC::slot(this,&Prompter::activated));
	cancel.clicked.connect(SigC::slot(this,&Prompter::cancel_click));
}	

void
Prompter::map_impl ()

{
	entry.set_text ("");
	Gtk::Window::map__impl ();
}
	
void
Prompter::activated ()

{
	status = entered;
	hide_all ();
	done ();
}

void
Prompter::cancel_click ()

{
	status = cancelled;
	hide_all ();
	done ();
}

void
Prompter::get_result (string &str)

{
	str = entry.get_text ();
}
