///-*-c++-*-//////////////////////////////////////////////////////////
//  guileconfig.h
//
//  Copyright 1999,2000 Bill Gribble <grib@billgribble.com>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  $Id: guileconfig.h,v 1.4 2000/10/04 16:45:38 pbd Exp $
//
//////////////////////////////////////////////////////////////////////

#ifndef __GUILECONFIG_H__
#define __GUILECONFIG_H__

#include <map>
#include <string>

typedef map< string, void *> ConfigVarTable;

//////////////////////////////////////////////////////////////////////
//  class guileconfig
//////////////////////////////////////////////////////////////////////

class guileconfig {
public:
    struct AudioDeviceRequest {
	string device;
	string type;
	string mode;
	string format;
	int rate;
	int nchannels;
	float latency;
    };

    struct MidiDeviceRequest {
	string tag;
	string device;
	string type;
	string mode;
    };

    guileconfig(const char *appname);
    virtual ~guileconfig();
    
    int bootstrap();  // call this in derived class ctor after map init
    
    static guileconfig * Config;
    
    ConfigVarTable  variables;

protected:
    virtual int post_parse () = 0;

private: 
    char *_app_name;
};

#endif


