/*
    Copyright (C) 1999-2000 Paul Barton-Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: monitored_switch.h,v 1.4 2000/11/01 18:16:36 pbd Exp $
*/

#include <sys/asoundlib.h>
#include <sigc++/signal_system.h>
#include <glib.h>

namespace ALSA {

class MonitoredSwitch : public SigC::Object

{
  public:
	MonitoredSwitch (snd_ctl_t *, const char *name, guint32 interval_msecs);
	~MonitoredSwitch ();

	SigC::Signal2<void,snd_ctl_t *,snd_control_t &> check_me;

	void check ();

	static gint gtk_check (void *arg);

  private:
	snd_ctl_t *handle;
	snd_control_t my_switch;
	gint gtk_timeout_tag;
};

}; /* namespace ALSA */
