/*
    Copyright (C) 1999 Paul Barton-Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: utils.h,v 1.7 2000/10/29 04:42:51 pbd Exp $
*/

#ifndef __ardour_utils_h__
#define __ardour_utils_h__

#include <string>
#include "ardour.h"

void sample_to_smpte_clock_parts (size_t sample, 
				  size_t sample_rate, 
				  float smpte_fps,
				  size_t *hrs_p,
				  size_t *mins_p,
				  size_t *secs_p,
				  size_t *frames_p);

char * sample_to_smpte_clock (size_t sample, char *buf, 
			      size_t sample_rate, float smpte_fps);

template<class SampleType> void
compute_peak (SampleType *sample, float *peak, size_t frames, size_t skip, float maximum)
{
	while (frames--) {
		float fract;
		
		fract = fabs (*sample) / maximum;
		if (fract > *peak) {
			*peak = fract;
		}
		
		sample += skip;
	}
}

void elapsed_time_to_str (char *buf, size_t seconds);


/* XXX this needs to go into the edl files */

struct _sequence_op;
char *format_edl_operation (struct _sequence_op *op, char *buf,
			    size_t sample_rate, float smpte_fps,
			    size_t sample_bytes,
			    bool smpte);


#endif /* __ardour_utils_h__ */
